sk_stream_wait_connect
Prev | Socket Buffer Functions | Next

## Name

sk_stream_wait_connect — Wait for a socket to get into the connected state

## Synopsis

`int sk_stream_wait_connect (` | struct sock * | sk,
| long * | timeo_p`)`;

## Arguments

`sk`

  sock to wait on

`timeo_p`

  for how long to wait

## Description

Must be called with the socket locked.

Prev | Up | Next
sk_stream_write_space | Home | sk_stream_wait_memory